## OpenEthereum [v3.0.1](https://github.com/openethereum/openethereum/releases/tag/v3.0.1)
- Add missing forks to fork ID (#11747)

## OpenEthereum [v3.0.0](https://github.com/openethereum/openethereum/releases/tag/v3.0.0)

OpenEthereum v3.0.0 is the first release of OpenEthereum client as part of OpenEthereum project, divested from Parity Technologies.

This release marks the transition from Parity Technologies infrastructure and bootnodes to the one managed by OpenEthereum project.

Parity-Ethereum v2.7 users can continue using their existing data folders. Command-line interface has also stayed identical.
Unless specified otherwise, OpenEthereum v3.0.0 will detect if the user's database in the old Parity-Ethereum default path,
and only if it's not found will write to the new default location.

This release includes several major improvements to network and database stack:
- Support for `eth/64` protocol and Node Discovery v4 `Ethereum Node Records` extension.
- Accounts bloom is removed which should decrease the database size.

**Due to database changes this is a one-way upgrade. Please back up your database if you plan to continue using Parity-Ethereum v2.7.2.**

Note that this release drops support for IPFS and `eth/62` protocol. Additionally, it marks light client, private transactions and updater as deprecated features which may be removed in a future release.

The full list of included changes:
- Add deprecation warnings (#11682)
- Add Curl to Docker image (#11687)
- v3 release version strings and track stable (#11680)
- Fix sccache server errors (#11675)
- Don't delete old db after migration (#11662)
- rename inject to drain_transaction_overlay (#11657)
- Drain the transaction overlay (#11654)
- vergen library seems to depend not only on the .git folder content but also on the git binary (#11651)
- New default paths (#11641)
- Update EWF's chains with Istanbul transition block numbers (#11482)
- add openethereum supplementary bootnodes, those are not active right now, but will be in case the network needs more power (#11650)
- Remove Parity bootnodes (#11644)
- Remove accounts bloom (#11589)
- Deploy docker images on master (#11640)
- Fix some compiler warnings (#11632)
- Add support for non-fork side of Phoenix (#11627)
- validate mainnet specs against all forks (#11625)
- Fix ecrecover builtin (#11623)
- Update .gitmodules (#11628)
- ethcore/res: activate ecip-1088 phoenix on classic (#11598)
- Upgrade parity-common deps to latest (#11620)
- Fix Goerli syncing (#11604)
- deps: switch to upstream ctrlc (#11617)
- Deduplicating crate dependencies (part 3 of n) (#11614)
- Deduplicating crate dependencies (part 2 of n, `slab`) (#11613)
- Actually save ENR on creation and modification (#11602)
- Activate POSDAO on xDai chain and update bootnodes (#11610)
- Activate on-chain randomness in POA Core (#11609)
- Deduplicating crate dependencies (part 1 of n) (#11606)
- Update enodes for POA Sokol (#11611)
- Remove .git folder from dogerignore file so vergen library can get build date and commit hash in the binary generatio vergen library can get build date and commit hash in the binary generation (#11608)
- Reduced gas cost for static calls made to precompiles EIP2046/1352 (#11583)
- `ethcore-bloom-journal` was renamed to `accounts-bloom` (#11605)
- Use serde_json to export hardcoded sync (#11601)
- Node Discovery v4 ENR Extension (EIP-868) (#11540)
- Fix compile warnings (#11595)
- Update version to 3.0.0-alpha.1 (#11592)
- ethcore/res: bump canon fork hash for mordor and kotti testnets (#11584)
- Update on push tags (#11590)
- Replace deprecated tempdir dependency with tempfile (#11588)
- Fix project name, links, rename the binaries (#11580)
- Update Cargo.lock (#11573)
- ci: workaround for the cache bug on Linux (#11568)
- Increase the default pruning parameters (#11558)
- Add Docker build and push to github actions (#11555)
- Update README (#11578)
- informant: display I/O stats (#11523)
- [devp2p discovery]: remove `deprecated_echo_hash` (#11564)
- [secretstore] create db_version file when database doesn't exist (#11570)
- Remove Parity's Security Policy (#11565)
- ethcore/res: enable ecip-1088 phoenix upgrade for kotti and mordor testnets (#11529)
- Misc docs and renames …and one less clone (#11556)
- [secretstore]: don't sign message with only zeroes (#11561)
- [devp2p discovery]: cleanup (#11547)
- Code cleanup in the sync module (#11552)
- initial cleanup (#11542)
- Warn if genesis constructor revert (#11550)
- ethcore: cleanup after #11531 (#11546)
- license update (#11543)
- Less cloning when importing blocks (#11531)
- Github Actions (#11528)
- Fix Alpine Dockerfile (#11538)
- Remove AuxiliaryData/AuxiliaryRequest (#11533)
- [journaldb]: cleanup (#11534)
- Remove references to parity-ethereum (#11525)
- Drop IPFS support (#11532)
- chain-supplier: fix warning reporting for GetNodeData request (#11530)
- Faster kill_garbage (#11514)
- [EngineSigner]: don't sign message with only zeroes (#11524)
- fix compilation warnings (#11522)
- [ethcore cleanup]: various unrelated fixes from `#11493` (#11507)
- Add benchmark for transaction execution (#11509)
- Add Smart Contract License v1.0
- Misc fixes (#11510)
- [dependencies]: unify `rustc-hex` (#11506)
- Activate on-chain randomness in POA Sokol (#11505)
- Grab bag of cleanup (#11504)
- Implement eth/64 (EIP-2364) and drop support for eth/62 (#11472)
- [dependencies]: remove `util/macros` (#11501)
- OpenEthereum bootnodes are added (#11499)
- [ci benches]: use `all-features` (#11496)
- [verification]: make test-build compile standalone (#11495)
- complete null-signatures removal (#11491)
- Include the seal when populating the header for a new block (#11475)
- fix compilation warnings (#11492)
- cargo update -p cmake (#11490)
- update to published rlp-derive (#11489)
- Switch usage of Secret Store to the external lib (#11487)
- Switch from the internal runtime lib to external one from crates.io (#11480)
- Update params.rs (#11474)
- weak_counts has been stabilized (#11476)
- sync: remove broken eth_protocol_version method (#11473)
- Use parity-crypto updated to use upstream rust-secp256k1 (#11406)
- Cleanup some code in Aura (#11466)
- upgrade some of the dependencies (#11467)
- Some more release track changes to README.md (#11465)
- Update simple one-line installer due to switching to a single stable release track (#11463)
- update Dockerfile (#11461)
- Implement EIP-2124 (#11456)
- [eth classic chainspec]: remove `balance = 1` (#11459)